@import '../app.scss';

.container-title {
	height: 400px;
	background-size: cover!important;
	position: relative;
	border-radius: 15px;
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0;
	border: 2px solid black;
	border-bottom: 0;
}

.filter {
	position: absolute;
	width: 100%;
	height: 100%;
	background-color: black;
	opacity: 0.2;
	border-radius: 15px;
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0;
}

.back-button {
	position: fixed;
    top: 20px;
    left: 20px;
    z-index: 2;
    background: $grey-default;
    padding: 10px;
	border-radius: 5px;
	text-decoration: none;
	color: $orange-default;
}

.r-bottom {
	border-bottom: 2px;
	border-radius: 15px;
}

.carousel-item .row {
	margin: 0;
}

.carousel-control-prev {
	left: -2%;
}

.carousel-control-next {
	right: -2%;
}

.carousel-item.active, [class^="carousel-item-"] {
	display: flex!important;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

[class^="carousel-control-"] {
	display: flex!important;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	opacity: .8;
}

[class^="carousel-control-"]:hover {
	opacity: 1;
}

[class^="carousel-control-"] span {
	color: var(--mwl-dark);
}

.carousel-item h5, .carousel-item p {
	max-width: 150px;
}

.carousel-item .col-6 {
	cursor:pointer;
}

.carousel-item img {
	object-fit: cover;
}

.container-title h2 {
	color: white;
	font-size: 40px;
	opacity: 1;
	position: absolute;
	text-shadow: 4px 2px 0 #000000;
}

.title-section {
	background-color: var(--mwl-light);
	color: white;
	border-radius: 100px !important;
	font-weight: bold;
}

.container-title h3 {
	color: white;
	font-size: 30px;
	opacity: 1;
	position: absolute;
	text-shadow: 4px 2px 0 #000000;
	margin-top: 80px;
}

.description {
	background-color: #4D4D4D;
	color: white;
	padding: 20px 30px;
	border-bottom-left-radius: 15px;
	border-bottom-right-radius: 15px;
	border: 2px solid black;
}

.description p {
	margin: 0;
}

.container-title .row {
	color: white;
	width: 100%;
	height: auto;
	padding: 10px 20px;
	position: relative;
}

.container-season {
	margin-top: 20px;
	margin-bottom: 100px;
}

.e-list {
	width: 100%;
}

.wrapper-poster .dropdown-toggle {
	color: var(--mwl-light);
}

.poster,.wrapper-btn {
	width: 100%;
	max-width: 300px;
	margin: 0 auto;
}

.wrapper-btn {
	margin-top: 10px;
}

.wrapper-infos {
	margin: 10px 0;
}

.gauge-container {
	max-width: 300px;
}

@media (max-width: 1140px) {
	.wrapper-infos .col-12 {
		flex-direction: column;
	}

	.gauge-container {
		width: 100%!important;
	}

	.wrapper-gauge .container {
		padding: 0;
	}
}

.fixed {
	position: fixed;
	top: 10%;
	width: 20%;
	display: flex;
	flex-direction: column;
}

.episode {
	height: 40px;
	border: 1px solid black ;
	border-radius: 10px;
	margin: 10px 0;
	background-color: #4D4D4D;
	color: white;
}

.episode a {
	padding-left: 4%;
	text-decoration: none;
	color: white;
	font-weight: 500;
}

.episode a:hover {
	color: #ffcc00;
}

.dropdown-toggle {
	padding-right: 40px;
}


/*Title scroll hover*/
/* Texte défilant */

.defileParent {
	display: block;
	overflow: hidden;
	position: relative;
	table-layout: fixed;
}
.defile {
	display:block;
	padding:0 5px;
	text-align:left;
	height:25px;
	white-space: nowrap;
}

.defile:hover {
	-webkit-animation:linear marqueelike 10s infinite ;
	-moz-animation:linear marqueelike 10s infinite ;
	-o-animation:linear marqueelike 10s infinite ;
	-ms-animation:linear marqueelike 10s infinite ;
	animation:linear marqueelike 10s infinite ;
}

.defile:after {
	content:attr(data-text);
	position:absolute;
	white-space:nowrap;
	padding-left:10px;
}

@-webkit-keyframes marqueelike {
	0%, 100% {margin-left:0;}
	99.99% {margin-left:-300%;}
}
@-moz-keyframes marqueelike {
	0%, 100% {margin-left:0;}
	99.99% {margin-left:-300%;}
}
@-o-keyframes marqueelike {
	0%, 100% {margin-left:0;}
	99.99% {margin-left:-300%;}
}
@-ms-keyframes marqueelike {
	0%, 100% {margin-left:0;}
	99.99% {margin-left:-300%;}
}
@keyframes marqueelike {
	0%, 100% {margin-left:0;}
	99.99% {margin-left:-300%;}
}

@media only screen and (max-width: 860px) {
	.defileParent {
		display: block;
		overflow: hidden;
		position: relative;
		table-layout: fixed;
		width: 100%;
	}
}

.watched {
	font-size: 1.2rem;
	margin-top: 7rem;
	color: white;
	font-weight: bold;
	opacity: 1;
	position: absolute;
}

/* Hide default input */
.toggle input {
	display: none;
}

/* The container and background */
.toggle {
	position: relative;
	display: inline-block;
	width: 68px;
	height: 30px;
}
.slider {
	position: absolute;
	cursor: pointer;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: #e74c3c;
	border: 1px solid black;
	border-radius: 30px;
	transition: all 0.4s;
}

/* The sliding button */
.slider:before {
	position: absolute;
	content: "";
	width: 24px;
	height: 24px;
	left: 2px;
	top: 2px;
	background-color: #eee;
	border-radius: 24px;
	transition: all 0.4s;
}

/* On checked */
input:checked + .slider {
	background-color: #7fda63;
}
input:checked + .slider:before {
	transform: translateX(37px);
}

.shadow-sm {
	box-shadow: 0 .125rem .25rem var(--mwl-light)!important;
}

.swiper-slide {
	img {
		width: 100%;
	}
}

.swiper-button-prev:after, .swiper-container-rtl .swiper-button-next:after {
	background-color: #1F1F1F;
	color: #CC8400;
	padding: 7px;
	border-radius: 5px;
	box-shadow: 0 .5rem 1rem rgba(0,0,0,.15);
}

.swiper-button-next:after, .swiper-container-rtl .swiper-button-prev:after {
	background-color: #1F1F1F;
	color: #CC8400;
	padding: 7px;
	border-radius: 5px;
	box-shadow: 0 .5rem 1rem rgba(0,0,0,.15);
}